pub struct MarketTradeRecord {
pub id: Option<i64>,
pub orderno: Option<String>,
pub symbol: Option<String>,
pub board: Option<String>,
pub qty: Decimal,
pub price: Decimal,
pub time: Option<String>,
pub timestamp: Option<i64>,
pub side: Option<String>,
pub oi: Option<i64>,
pub existing: Option<bool>,
}Expand description
A trade of the market: the item of GET /md/v2/Securities/{exchange}/{symbol}/alltrades and the message of
the all trades subscription.
Fields§
§id: Option<i64>The id of the trade.
orderno: Option<String>The number of the order of the trade.
symbol: Option<String>The ticker.
board: Option<String>The trading mode.
qty: DecimalThe quantity, as the broker reports it.
price: DecimalThe price.
time: Option<String>The time of the trade, UTC text.
timestamp: Option<i64>The time of the trade, Unix milliseconds.
side: Option<String>buy or sell: the side of the aggressor.
oi: Option<i64>Open interest.
existing: Option<bool>true for data from the history, false for new events.
Trait Implementations§
Source§impl Clone for MarketTradeRecord
impl Clone for MarketTradeRecord
Source§fn clone(&self) -> MarketTradeRecord
fn clone(&self) -> MarketTradeRecord
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for MarketTradeRecord
impl Debug for MarketTradeRecord
Source§impl Default for MarketTradeRecord
impl Default for MarketTradeRecord
Source§fn default() -> MarketTradeRecord
fn default() -> MarketTradeRecord
Returns the “default value” for a type. Read more
Source§impl<'de> Deserialize<'de> for MarketTradeRecord
impl<'de> Deserialize<'de> for MarketTradeRecord
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for MarketTradeRecord
impl RefUnwindSafe for MarketTradeRecord
impl Send for MarketTradeRecord
impl Sync for MarketTradeRecord
impl Unpin for MarketTradeRecord
impl UnsafeUnpin for MarketTradeRecord
impl UnwindSafe for MarketTradeRecord
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more